- Qt 5.15
- Qt Core
- C++ Classes
- QRectF
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QRectF

The following members of class QRectF are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QRectF | intersect(const QRectF &rectangle) const
`(obsolete)` QRectF | unite(const QRectF &rectangle) const

## Member Function Documentation

### QRectF QRectF::intersect(const QRectF &rectangle) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use intersected(rectangle) instead.

### QRectF QRectF::unite(const QRectF &rectangle) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use united(rectangle) instead.